Bug 962196 - initial-setup should not start on live images
initial-setup should not start on live images
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: initial-setup (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-12 09:41 EDT by nucleo
Modified: 2013-05-29 23:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: initial-setup-0.3.5-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 23:38:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch against git://fedorapeople.org/home/fedora/msivak/public_git/firstboot2.git to fix this (1.31 KB, text/plain)
2013-05-21 17:33 EDT, Adam Williamson
no flags Details

  None (edit)
Description nucleo 2013-05-12 09:41:39 EDT
Description of problem:
X server starts two times on all F19 Beta TC4 live images.

Version-Release number of selected component (if applicable):
initial-setup-0.3.4-3.fc19

How reproducible:
Happens every time on all F19 Beta TC4 live images.

Steps to Reproduce:
1. Start live CD.
2.
3.
  
Actual results:
X server starts first time, looks like initial-setup runs, tries to do something (according to high CPU usage) but nothing shown on screen (balack screen). Then X server terminates and then starts display manager.


Expected results:
X server should be started once on live images.

Additional info:
systemctl status initial-setup-graphical.service

initial-setup-graphical.service - Initial Setup configuration program
   Loaded: loaded (/usr/lib/systemd/system/initial-setup-graphical.service; disabled)
   Active: inactive (dead)

May 12 12:33:20 localhost xinit[601]: parser.readKickstart("/root/anaconda-ks.cfg")
May 12 12:33:20 localhost xinit[601]: File "/usr/lib/python2.7/site-packages/pykickstart/parser.py", line 715, in readKickstart
May 12 12:33:20 localhost xinit[601]: raise KickstartError, formatErrorMsg(0, msg=_("Unable to open input kickstart file: %s") % e.strerror)
May 12 12:33:20 localhost xinit[601]: pykickstart.errors.KickstartError: The following problem occurred on line 0 of the kickstart file:
May 12 12:33:20 localhost xinit[601]: Unable to open input kickstart file: curl#37 - "Couldn't open file /root/anaconda-ks.cfg"
May 12 12:33:20 localhost xinit[601]: /bin/xinit: connection to X server lost
May 12 12:33:21 localhost xinit[601]: waiting for X server to shut down Server terminated successfully (0). Closing log file.
May 12 12:33:21 localhost systemctl[995]: rm '/etc/systemd/system/graphical.target.wants/initial-setup-graphical.service'
May 12 12:33:21 localhost systemctl[995]: rm '/etc/systemd/system/multi-user.target.wants/initial-setup-text.service'
May 12 12:33:22 localhost systemd[1]: Started Initial Setup configuration program.
Comment 1 nucleo 2013-05-21 12:38:58 EDT
initial-setup should not start on live images.
Comment 2 Adam Williamson 2013-05-21 17:33:57 EDT
Created attachment 751397 [details]
patch against git://fedorapeople.org/home/fedora/msivak/public_git/firstboot2.git to fix this

This patch fixes the bug by adding a "ConditionKernelCommandLine=!rd.live.image" line to both .service files; this will cause them not to be run when 'rd.live.image' is on the kernel command line, which is the case for Fedora live image boots. I have tested this by building a KDE live image with a patched initial-setup package. The initial-setup-graphical.service does not start when booting live, but does run when booting for the first time after installing.
Comment 3 Vratislav Podzimek 2013-05-22 05:45:32 EDT
(In reply to Adam Williamson from comment #2)
> Created attachment 751397 [details]
> patch against
> git://fedorapeople.org/home/fedora/msivak/public_git/firstboot2.git to fix
> this
> 
> This patch fixes the bug by adding a
> "ConditionKernelCommandLine=!rd.live.image" line to both .service files;
> this will cause them not to be run when 'rd.live.image' is on the kernel
> command line, which is the case for Fedora live image boots. I have tested
> this by building a KDE live image with a patched initial-setup package. The
> initial-setup-graphical.service does not start when booting live, but does
> run when booting for the first time after installing.
Applied, thanks a lot! And just a note -- the Initial Setup now has a repository on fedorahosted:
https://git.fedorahosted.org/cgit/initial-setup.git/
(will be changed in the .spec with the next build)
Comment 4 Fedora Update System 2013-05-22 08:55:13 EDT
initial-setup-0.3.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/initial-setup-0.3.5-1.fc19
Comment 5 Fedora Update System 2013-05-22 18:40:06 EDT
Package initial-setup-0.3.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing initial-setup-0.3.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8877/initial-setup-0.3.5-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-05-29 23:38:33 EDT
initial-setup-0.3.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.